#!/bin/bash
core_number=10
walltime=1:00
seeds='1 2 3'

for dataset in diamonds
do
    oarsub -p "(gpu is null)" -l /core=$core_number,walltime=1:00 "conda activate test_env && python code/train.py --dataset_name=$dataset --seeds $seeds --save_experiment_configuration 3 train-dev_subset --extracted_forest_size_stop=0.40 --extracted_forest_size_samples=10 --subsets_used=train,dev --experiment_id=1 --models_dir=models/$dataset/stage3"
    oarsub -p "(gpu is null)" -l /core=$core_number,walltime=1:00 "conda activate test_env && python code/train.py --dataset_name=$dataset --seeds $seeds --save_experiment_configuration 3 train-dev_train-dev_subset --extracted_forest_size_stop=0.40 --extracted_forest_size_samples=10 --subsets_used=train+dev,train+dev --experiment_id=2 --models_dir=models/$dataset/stage3"
    oarsub -p "(gpu is null)" -l /core=$core_number,walltime=1:00 "conda activate test_env && python code/train.py --dataset_name=$dataset --seeds $seeds --save_experiment_configuration 3 train-train-dev_subset --extracted_forest_size_stop=0.40 --extracted_forest_size_samples=10 --subsets_used=train,train+dev --experiment_id=3 --models_dir=models/$dataset/stage3"
done
